aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests/helper_scripts
diff options
context:
space:
mode:
authorGravatar Lidi Zheng <lidiz@google.com>2018-12-10 16:19:35 -0800
committerGravatar Lidi Zheng <lidiz@google.com>2018-12-10 16:21:49 -0800
commit8cb2d0546d14574977c4943d33bb103954078bbd (patch)
treec7090a0cd3c81e36c95c8a5ca0232d88a6184689 /tools/run_tests/helper_scripts
parent60f2d379fec3364ff59f4f0d463b16275525863d (diff)
Upgrade sanity Docker image to debian:stretch
* Use latest pylint in Python 3.7 (they dropped support for PY2) * Make latest pylint happy * Forced to upgrade to shellcheck 0.4.4 * Make shellcheck 0.4.4 happy * Adopt reviewers' advice to reduce global disabled rules
Diffstat (limited to 'tools/run_tests/helper_scripts')
-rwxr-xr-xtools/run_tests/helper_scripts/run_grpc-node.sh2
-rwxr-xr-xtools/run_tests/helper_scripts/run_tests_in_workspace.sh3
2 files changed, 4 insertions, 1 deletions
diff --git a/tools/run_tests/helper_scripts/run_grpc-node.sh b/tools/run_tests/helper_scripts/run_grpc-node.sh
index 747aae7fd5..d14753a4d5 100755
--- a/tools/run_tests/helper_scripts/run_grpc-node.sh
+++ b/tools/run_tests/helper_scripts/run_grpc-node.sh
@@ -16,6 +16,8 @@
# This script runs grpc/grpc-node tests with their grpc submodule updated
# to this reference
+set -ex
+
# cd to gRPC root directory
cd "$(dirname "$0")/../../.."
diff --git a/tools/run_tests/helper_scripts/run_tests_in_workspace.sh b/tools/run_tests/helper_scripts/run_tests_in_workspace.sh
index 790c041881..fa7a7aac0a 100755
--- a/tools/run_tests/helper_scripts/run_tests_in_workspace.sh
+++ b/tools/run_tests/helper_scripts/run_tests_in_workspace.sh
@@ -20,7 +20,8 @@
set -ex
cd "$(dirname "$0")/../../.."
-export repo_root="$(pwd)"
+repo_root="$(pwd)"
+export repo_root
rm -rf "${WORKSPACE_NAME}"
git clone . "${WORKSPACE_NAME}"